qtmobility/plugins/contacts/qtcontacts-tracker/tests/ut_qtcontacts_trackerplugin/ut_qtcontacts_trackerplugin_data/insertTpContact.sparql
changeset 4 90517678cc4f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/qtmobility/plugins/contacts/qtcontacts-tracker/tests/ut_qtcontacts_trackerplugin/ut_qtcontacts_trackerplugin_data/insertTpContact.sparql	Mon May 03 13:18:40 2010 +0300
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+echo "usage: $0 <contact-uri> <contact-uid> <im-id> <accountPath> <imPresence> <statusMessage> <protocol> <nameGiven> <nameFamily>"
+exit 1
+fi
+
+echo "create nco:IMAddress"
+tracker-sparql --update --query "
+INSERT {
+		<telepathy:$4/$3> <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> nco:IMAddress;
+	    nco:imID '$3';
+	    nco:imNickname '$8$9';
+	    nco:imPresence $5;
+	    nco:imStatusMessage '$6';
+	    nco:imCapability <bogus>
+}
+"
+
+echo "create nco:IMAccount"
+tracker-sparql -u -q "
+INSERT 
+{ 
+<telepathy:$4> 
+<http://www.w3.org/1999/02/22-rdf-syntax-ns#type> 
+<http://www.semanticdesktop.org/ontologies/2007/03/22/nco#IMAccount>;
+nco:imDisplayName '$7'; 
+nco:hasIMContact <telepathy:$4/$3>
+}
+"
+
+echo "create nco:PersonContact"
+tracker-sparql -u -q "
+INSERT
+{
+        <$1> <http://www.w3.org/1999/02/22-rdf-syntax-ns#type> nco:PersonContact;
+	    nco:contactUID '$2';
+	    nco:hasIMAddress <telepathy:$4/$3>;
+	    nco:nameGiven '$8';
+        nco:nameFamily '$9'
+}
+"
\ No newline at end of file